uses graphABC,ABCobjects;
var мир:text;
x,y,t,zy,zx,pl:int64;
тек: pictureABC;
begin
assign(мир,'мир');
reset(мир);
readln(мир,zx);
readln(мир,zy);
pl:=zx*zy;
loop pl do
begin
readln(мир,x);
readln(мир,y);
readln(мир,t);
if t=1 then тек:=PictureABC.Create(x*32,y*32,'data/1.png');
if t=0 then тек:=PictureABC.Create(x*32,y*32,'data/0.png');
if t=2 then тек:=PictureABC.Create(x*32,y*32,'data/2.png');
if t=3 then тек:=PictureABC.Create(x*32,y*32,'data/3.png');
if t=4 then тек:=PictureABC.Create(x*32,y*32,'data/4.png');
if t=5 then тек:=PictureABC.Create(x*32,y*32,'data/5.png');
if t = 6 then тек:=PictureABC.Create(x*32,y*32,'data/6.png');
if t = 7 then тек:=PictureABC.Create(x*32,y*32,'data/7.png');
if t = 8 then тек:=PictureABC.Create(x*32,y*32,'data/8.png');
end;
end.